Skip to main content
GET
/
v1
/
pay-connect
/
transactions
/
{transaction_id}
/
print-slip
cURL
curl --request GET \
  --url https://api-payment.lab4pay.com/v1/pay-connect/transactions/{transaction_id}/print-slip/ \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Pay-Connect-Integrator-Id: <x-pay-connect-integrator-id>'
{
  "transaction_id": "<string>",
  "terminal_id": "<string>",
  "organization": {
    "full_name": "<string>",
    "country": "<string>",
    "address": "<string>",
    "postal_code": "<string>",
    "city": "<string>",
    "region": "<string>"
  },
  "point_of_sale": {
    "full_name": "<string>"
  },
  "amount": 123,
  "tip_amount": 123,
  "total_amount": 123,
  "currency": "<string>",
  "status": "INITIATED",
  "payment_method": "CARD",
  "tags": [
    "charge"
  ],
  "timezone": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "digital_slip": "https://dash.lab4pay.com/digital-slip?id=56bd4f94106b4fa6bccceadd7c9d108505f21ccceaaa4555bf999e47124b2a7b",
  "payment_option": "<string>",
  "card_tid": "<string>",
  "completed_at": "2023-11-07T05:31:56Z",
  "canceled_at": "2023-11-07T05:31:56Z",
  "reverted_at": "2023-11-07T05:31:56Z",
  "aid": "<string>",
  "approve_code": "<string>",
  "card_type": "<string>",
  "card_number": "<string>",
  "refund_total_amount": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Pay-Connect-Integrator-Id
string
required

Pay-Connect Integrator ID

Path Parameters

transaction_id
string
required

ID of the transaction

Response

Successful operation

transaction_id
string
required

Transaction ID

terminal_id
string
required

Terminal ID

organization
object
required

Organization details

point_of_sale
object
required

Point of sale details

amount
integer
required

The amount of the payment, in cents

tip_amount
integer
required

The tip amount of the payment, in cents

total_amount
integer
required

The total amount of the payment (amount + tip amount), in cents

currency
string
required

Payment currency code (ISO 4217 alpha-3)

status
enum<string>
required

Transaction status

Available options:
INITIATED,
IN_PROGRESS,
SUCCESS,
CANCELED,
DECLINED,
REVERTED,
EXPIRED,
FAILED
payment_method
enum<string>
required

Payment method

Available options:
CARD,
MBILLS,
VALU,
GOCRYPTO,
BTC_GIFT_CARD,
SMART_GIFTY,
KDO4YOU,
ALMA_PAY,
PAYCONIQ,
TWINT
tags
enum<string>[]
required

The list of transaction tags

Available options:
charge,
refund,
overpaid,
underpaid
timezone
string
required

The timezone of transaction depends on point of sale location

created_at
string<date-time>
required

Transaction created at datetime in ISO 8601 format

digital_slip
string<uri>
default:https://dash.lab4pay.com/digital-slip?id=56bd4f94106b4fa6bccceadd7c9d108505f21ccceaaa4555bf999e47124b2a7b
required

The PDF url of the print slip

payment_option
string

Payment option, e.g., VISA, MASTERCARD, BTC, USDT

card_tid
string | null

Card TID, if payment method CARD initiated

completed_at
string<date-time> | null

Transaction completed at datetime in ISO 8601 format

canceled_at
string<date-time> | null

Transaction canceled at datetime in ISO 8601 format

reverted_at
string<date-time> | null

Transaction reverted at datetime in ISO 8601 format

aid
string | null

The AID of card transaction

approve_code
string | null

The approve code of card transaction

card_type
string | null

The card type of card transaction

card_number
string | null

The masked card number of card transaction

refund_total_amount
integer | null

The total amount of refunded transaction, in cents